class_name EAT_CallFunc extends EffectApplyType

@export var func_name: StringName
@export var func_args: Array[Variant] = []

func apply(target: Object) -> void:
	if target.has_method(func_name):
		target.callv(func_name,func_args)
	
